aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Ogden <bernie.ogden@linaro.org>2015-02-19 13:15:15 +0000
committerBernard Ogden <bernie.ogden@linaro.org>2015-02-19 13:33:47 +0000
commit6af727be64281b247f99b3ac7d69e39d45041f40 (patch)
treeb3d516b8431155fee2252fe835920922feb6d817
parent7bf850b4f75c7efe2ed49726d0dbf0a23b894d32 (diff)
Permit benchmarks to display their outputsafe-fixups
-rw-r--r--config/CPU2000.conf1
-rw-r--r--config/CPU2006.conf1
-rw-r--r--config/EEMBC.conf2
-rwxr-xr-xscripts/runbenchmark.sh10
4 files changed, 14 insertions, 0 deletions
diff --git a/config/CPU2000.conf b/config/CPU2000.conf
index 0a3ba2a1..b361aa68 100644
--- a/config/CPU2000.conf
+++ b/config/CPU2000.conf
@@ -17,3 +17,4 @@ else
fi
benchlog=result
+safe_output=yes
diff --git a/config/CPU2006.conf b/config/CPU2006.conf
index 0a3ba2a1..b361aa68 100644
--- a/config/CPU2006.conf
+++ b/config/CPU2006.conf
@@ -17,3 +17,4 @@ else
fi
benchlog=result
+safe_output=yes
diff --git a/config/EEMBC.conf b/config/EEMBC.conf
index f9baf7a8..4cc64500 100644
--- a/config/EEMBC.conf
+++ b/config/EEMBC.conf
@@ -9,3 +9,5 @@ default_makeflags="build -j 1 "
if test x"${build}" != x"${target}"; then
default_makeflags="${default_makeflags} CROSS_COMPILE=${target}-"
fi
+
+safe_output=no
diff --git a/scripts/runbenchmark.sh b/scripts/runbenchmark.sh
index 484af736..83da3e9b 100755
--- a/scripts/runbenchmark.sh
+++ b/scripts/runbenchmark.sh
@@ -67,6 +67,11 @@ if test $? -ne 0; then
echo "Unable to read benchmark config file for ${benchmark}" 1>&2
exit 1
fi
+safe_output="`. ${abe_top}/host.conf && . ${topdir}/lib/common.sh && read_config ${benchmark}.git safe_output`"
+if test $? -ne 0; then
+ echo "Unable to read benchmark config file for ${benchmark}" 1>&2
+ exit 1
+fi
. "${topdir}"/scripts/benchutil.sh
if test $? -ne 0; then
@@ -330,6 +335,11 @@ if test x"${freqctl:-}" = xyes; then
flags+=" -f"
fi
+#This parameter read from the benchmark conf file earlier in this script
+if test x"${safe_output}" = xyes; then
+ flags+=" -t"
+fi
+
#But, if uncontrolled is set, override all other flags
if test x"${uncontrolled:-}" = xyes; then
echo "Running without any target controls or special (sudo) privileges, due to 'uncontrolled=yes' in target config file"